function zusint
f=inline('sin(pi*x)');
a=0;b=1;
ex=2/pi;

maxn=10;
err=zeros(maxn,4);
hs=zeros(maxn,1);
for n=1:maxn
    h=(b-a)/n;
    err(n,:)=0;
    for i=1:n
        ti=a+(i-1)*h;
        % Trapez
        err(n,1)=err(n,1)+h*(f(ti)/2+f(ti+h)/2);       
        % Fass
        err(n,2)=err(n,2)+h*(f(ti)/6+f(ti+h/2)*4/6+f(ti+h)/6);
        % 3/8
        err(n,3)=err(n,3)+h*(f(ti)/8+f(ti+h/3)*3/8+f(ti+h*2/3)*3/8+f(ti+h)/8);
        % Aufgabe 1
        err(n,4)=err(n,4)+h*(3/8*f(ti+1/6*h)+2/8*f(ti+1/2*h)+3/8*f(ti+5/6*h));
    end;
    err(n,:)=abs(err(n,:)-ex);
    hs(n)=h;
end;
subplot(2,1,2);
h=loglog(hs,err)
set(h,{'LineStyle'},{'-','--','-.',':'}','LineWidth',1,'Color','k');
legend('Trapez','Simpson','3/8','Aufgabe 1');